import {
	createSSRApp
} from "vue";
import App from "./App.vue";
import { store } from './store'
import mixins from '@/mixins'
import { modal, alert, toast, errToast, alertBack } from '@/utils/uniapi'
import * as filters from '@/filters'
export function createApp() {
	const app = createSSRApp(App);
	app.mixin(mixins)
	app.use(store)
	app.config.globalProperties.$modal = modal	// 挂载全局方法
	app.config.globalProperties.$alert = alert	// 挂载全局方法
	app.config.globalProperties.$toast = toast	// 挂载全局方法
	app.config.globalProperties.$errToast = errToast	// 挂载全局方法
	app.config.globalProperties.$alertBack = alertBack	// 挂载全局方法
	app.config.globalProperties.$filters = filters	// 挂载全局方法
	return {
		app,
	};
}
